<?php

  $food_restaurant_elementor_theme_custom_setting_css = '';

	// Global Color
	$food_restaurant_elementor_theme_color = get_theme_mod('food_restaurant_elementor_theme_color', '#597E52');

	$food_restaurant_elementor_theme_custom_setting_css .=':root {';
		$food_restaurant_elementor_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($food_restaurant_elementor_theme_color ).'!important;';
	$food_restaurant_elementor_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$food_restaurant_elementor_scroll_alignment = get_theme_mod('food_restaurant_elementor_scroll_alignment', 'right');

    if($food_restaurant_elementor_scroll_alignment == 'right'){
        $food_restaurant_elementor_theme_custom_setting_css .='.scroll-up{';
            $food_restaurant_elementor_theme_custom_setting_css .='right: 30px;!important;';
			$food_restaurant_elementor_theme_custom_setting_css .='left: auto;!important;';
        $food_restaurant_elementor_theme_custom_setting_css .='}';
    }else if($food_restaurant_elementor_scroll_alignment == 'center'){
        $food_restaurant_elementor_theme_custom_setting_css .='.scroll-up{';
            $food_restaurant_elementor_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $food_restaurant_elementor_theme_custom_setting_css .='}';
    }else if($food_restaurant_elementor_scroll_alignment == 'left'){
        $food_restaurant_elementor_theme_custom_setting_css .='.scroll-up{';
            $food_restaurant_elementor_theme_custom_setting_css .='left: 30px;!important;';
			$food_restaurant_elementor_theme_custom_setting_css .='right: auto;!important;';
        $food_restaurant_elementor_theme_custom_setting_css .='}';
    }	

	// Related Product

	$food_restaurant_elementor_show_related_product = get_theme_mod('food_restaurant_elementor_show_related_product', true );

	if($food_restaurant_elementor_show_related_product != true){
		$food_restaurant_elementor_theme_custom_setting_css .='.related.products{';
			$food_restaurant_elementor_theme_custom_setting_css .='display: none;';
		$food_restaurant_elementor_theme_custom_setting_css .='}';
	} 
	
	// Featured Image Hover Effect
    $food_restaurant_elementor_show_featured = get_theme_mod('food_restaurant_elementor_featured_image_hide_show', 1);
    $food_restaurant_elementor_hover_effect = get_theme_mod('food_restaurant_elementor_single_post_featured_image_hover','none');

    if ( $food_restaurant_elementor_show_featured && $food_restaurant_elementor_hover_effect !== 'none' ) {

    $food_restaurant_elementor_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $food_restaurant_elementor_hover_effect === 'zoom-in' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'zoom-out' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'grayscale' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'sepia' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'blur' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'bright' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'translate' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'scale' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}
// Product Featured Image Hover Effect
    $food_restaurant_elementor_show_featured = get_theme_mod('food_restaurant_elementor_featured_image_hide_show', 1);
    $food_restaurant_elementor_hover_effect = get_theme_mod('food_restaurant_elementor_product_featured_image_hover','none');

    if ( $food_restaurant_elementor_show_featured && $food_restaurant_elementor_hover_effect !== 'none' ) {

    $food_restaurant_elementor_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $food_restaurant_elementor_hover_effect === 'zoom-in' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'zoom-out' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'grayscale' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'sepia' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'blur' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'bright' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'translate' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $food_restaurant_elementor_hover_effect === 'scale' ) {
        $food_restaurant_elementor_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   